JOSE-JWS-FMT(1)

NAME
jose-jws-fmt - Converts a JWS between serialization formats

SYNOPSIS

jose jws fmt -i JWS [-I PAY] [-o JWS] [-O PAY] [-c]

OVERVIEW

The jose jws fmt command converts a JWS into alternative serialization formats. For example, it can:

    1. Attach payload to a detached JWS.

    2. Detach payload from a JWS.

    3. Convert JWS Compact Serialization to JWS JSON Serialization.

    4. Convert JWS JSON Serialization to JWS Compact Serialization.

OPTIONS

    • -i JSON, --input=JSON : Parse JWS from JSON

    • -i FILE, --input=FILE : Read JWS from FILE

    • -i -, --input=-: Read JWS from standard input

    • -I FILE, --detached=FILE : Read decoded payload from FILE

    • -I -, --detached=- : Read decoded payload from standard input

    • -o FILE, --output=FILE : Write JWS to FILE

    • -o -, --output=- : Write JWS to stdout (default)

    • -O FILE, --detach=FILE : Detach payload and decode to FILE

    • -O -, --detach=- : Detach payload and decode to standard output

    • -c, --compact : Output JWS using compact serialization

EXAMPLES

Attach payload to a detached JWS and emit JWS Compact Serialization:

    $ jose jws fmt -i msg.jws -I msg.txt -o compact.jws -c

Detach payload from a JWS:

    $ jose jws fmt -i msg.jws -o detached.jws -O msg.txt

AUTHOR

Nathaniel McCallum

SEE ALSO